UPDATEDB(1)

NAZWA
updatedb - aktualizuj bazę danych z nazwami plików

SKŁADNIA
updatedb [opcje]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Ta strona podręcznika opisuje polecenie updatedb w wersji GNU, służące do aktualizacji baz danych z nazwami plików używanych przez GNU locate.

Bazy danych nazw plików zawierają listy plików istniejących w szczególnych drzewach katalogów w momencie ostatniej aktualizacji baz. Nazwa pliku bazy domyślnej określana jest w trakcie konfiguracji i instalacji locate i updatedb. Częstość, z jaką aktualizowane są bazy, oraz katalogi, dla których zawierają zapisy, zależą od tego, jak często i z jakimi argumentami uruchamiane jest updatedb.

W środowiskach sieciowych często sensowne jest tworzenie bazy na korzeniu każdego z systemów plików, zawierającej wpisy dla tego systemu. Następnie dla każdego systemu plików updatedb uruchamiane jest na tym serwerze, dla którego jest on położony dysku lokalnym. Zapobiega to zaśmiecaniu sieci. Użytkownicy mogą wybrać bazy, które przeszukuje locate, posługując się zmienną środowiskową lub opcją wiersza poleceń; zobacz locate(1L). Bazy danych nie mogą być łączone (sklejane).

Format bazy danych z nazwami plików zmienił się począwszy od wersji 4.0 GNU find i locate, tak by umożliwić maszynom o różnym porządku bajtów współdzielenie baz. Nowa wersja locate potrafi odczytywać zarówno stare jak i nowe formaty baz danych. Jednak stare wersje locate i find dają niepoprawne wyniki przy użyciu bazy danych o nowym formacie.

OPCJE

--localpaths='ścieżka1 ścieżka2...'
    Niesieciowe katalogi, jakie mają być umieszczone w bazie danych. Domyślnie /.

--netpaths='ścieżka1 ścieżka2...'
    Katalogi sieciowe (NFS, AFS, RFS, etc.), jakie mają być umieszczone w bazie danych. Domyślnie żadne.

--prunepaths='ścieżka1 ścieżka2...'
    Katalogi, jakie nie powinny zostać umieszczone w bazie, a skądinąd byłyby. Domyślnie /tmp /usr/tmp /var/tmp /afs.

--output=plikbazy
    Nazwa tworzonego pliku bazy. Domyślnie /var/lib/locatedb.

--localuser=użytkownik
    Użytkownik, w imieniu którego będą przeszukiwane katalogi niesieciowe, przy wykorzystaniu su(1). Domyślne jest przeszukiwanie katalogów niesieciowych jako bieżący użytkownik. Możesz także ustawić tego użytkownika wykorzystując zmienną środowiskową LOCALUSER.

--netuser=użytkownik
    Użytkownik, w imieniu którego będą przeszukiwane katalogi sieciowe, przy wykorzystaniu su(1). Domyślnie nobody. Możesz także ustawić tego użytkownika wykorzystując zmienną środowiskową NETUSER.

--old-format
    Tworzy bazę danych w starym formacie zamiast w nowym.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZOBACZ TAKŻE
find(1L), locate(1L), locatedb(5L), xargs(1L).
Znajdowanie plików (dokumentacji Info on-line lub drukowanej)

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 updatedb.findutils

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.